<div class="box-border" [ngClass]="{'dark': isNightTheme }">
  <app-sidebar></app-sidebar>
  <div class="flex items-start w-[100%]">
    <app-navbar (toggleTheme)='toggleTheme()'></app-navbar>
    <div class="w-full">
      <router-outlet>
      </router-outlet>
    </div>
  </div>
  <div class="fixed top-0 w-[100%] z-[-1] opacity-90" id="fullpage" [ngClass]="{'night': isNightTheme}">
    <div class="section relative">
      <div class="header">
        <div class="inner-header flex">
        </div>
        <div>
          <svg class="waves" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
            viewBox="0 24 150 28" preserveAspectRatio="none" shape-rendering="auto">
            <defs>
              <path id="gentle-wave" d="M-160 44c30 0 58-18 88-18s 58 18 88 18 58-18 88-18 58 18 88 18 v44h-352z" />
            </defs>
            <g class="parallax">
              <use xlink:href="#gentle-wave" x="48" y="7" [attr.fill]="isNightTheme ? '#0080ff' : '#fff'" />
              <use xlink:href="#gentle-wave" x="48" y="5"
                [attr.fill]="isNightTheme ? 'rgba(255, 255, 255, 0.3)' : 'rgba(0, 128, 255, 0.3)'" />
              <use xlink:href="#gentle-wave" x="48" y="3"
                [attr.fill]="isNightTheme ? 'rgba(255, 255, 255, 0.5)' : 'rgba(0, 128, 255, 0.5)'" />
              <use xlink:href="#gentle-wave" x="48" y="0"
                [attr.fill]="isNightTheme ? 'rgba(255, 255, 255, 0.7)' : 'rgba(0, 128, 255, 0.7)'" />
            </g>
          </svg>
        </div>
      </div>
      <div class="absolute top-[-60px] right-0">
        <div class="time-circle">
          <div class="sun"></div>
          <div class="moon">
            <div></div>
            <div></div>
            <div></div>
          </div>
          <div class="stars">
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
          </div>
          <div class="water"></div>
        </div>
      </div>

    </div>
  </div>
</div>
